GET api/userapi/usersbysite/{siteId}?active={active}&keyword={keyword}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| keyword | string |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b"
},
{
"code": "sample string 1",
"id": "2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "c87079d4-b85b-4294-96a4-e128a3b3783c",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ff682d55-61c3-42e8-aa49-f21e1c6b3529",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "0616deda-cb7c-4428-a30e-376d226b81c3",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "c87079d4-b85b-4294-96a4-e128a3b3783c",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ff682d55-61c3-42e8-aa49-f21e1c6b3529",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "0616deda-cb7c-4428-a30e-376d226b81c3",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "b03abf15-5a9b-43db-bd37-f1b5f110606b",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "14e493ff-e5e2-476c-99f3-a31c4b36c961",
"guard_id": "24fb365a-c07c-4f6e-b996-f360ccb537f1",
"active": true
},
{
"id": "b03abf15-5a9b-43db-bd37-f1b5f110606b",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "14e493ff-e5e2-476c-99f3-a31c4b36c961",
"guard_id": "24fb365a-c07c-4f6e-b996-f360ccb537f1",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "54de338c-7872-4557-99ae-58871db703f3",
"firstname": "sample string 11",
"id": "95b9e550-9e8c-47ba-8e5e-175af459b531",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-09-25T05:43:40.7072526+00:00",
"role_id": "4db5d6ee-eae5-4cd7-970d-96fc27d9abed"
},
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b"
},
{
"code": "sample string 1",
"id": "2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "c87079d4-b85b-4294-96a4-e128a3b3783c",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ff682d55-61c3-42e8-aa49-f21e1c6b3529",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "0616deda-cb7c-4428-a30e-376d226b81c3",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "c87079d4-b85b-4294-96a4-e128a3b3783c",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ff682d55-61c3-42e8-aa49-f21e1c6b3529",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "0616deda-cb7c-4428-a30e-376d226b81c3",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "b03abf15-5a9b-43db-bd37-f1b5f110606b",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "14e493ff-e5e2-476c-99f3-a31c4b36c961",
"guard_id": "24fb365a-c07c-4f6e-b996-f360ccb537f1",
"active": true
},
{
"id": "b03abf15-5a9b-43db-bd37-f1b5f110606b",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "14e493ff-e5e2-476c-99f3-a31c4b36c961",
"guard_id": "24fb365a-c07c-4f6e-b996-f360ccb537f1",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "54de338c-7872-4557-99ae-58871db703f3",
"firstname": "sample string 11",
"id": "95b9e550-9e8c-47ba-8e5e-175af459b531",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-09-25T05:43:40.7072526+00:00",
"role_id": "4db5d6ee-eae5-4cd7-970d-96fc27d9abed"
}
]
application/xml, text/xml
Sample:
<ArrayOfuser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>54de338c-7872-4557-99ae-58871db703f3</customer_id>
<firstname>sample string 11</firstname>
<id>95b9e550-9e8c-47ba-8e5e-175af459b531</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>4db5d6ee-eae5-4cd7-970d-96fc27d9abed</role_id>
<webapp_password_last_update>2026-09-25T05:43:40.7072526+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>14e493ff-e5e2-476c-99f3-a31c4b36c961</distribution_id>
<guard_id>24fb365a-c07c-4f6e-b996-f360ccb537f1</guard_id>
<id>b03abf15-5a9b-43db-bd37-f1b5f110606b</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>14e493ff-e5e2-476c-99f3-a31c4b36c961</distribution_id>
<guard_id>24fb365a-c07c-4f6e-b996-f360ccb537f1</guard_id>
<id>b03abf15-5a9b-43db-bd37-f1b5f110606b</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>c87079d4-b85b-4294-96a4-e128a3b3783c</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ff682d55-61c3-42e8-aa49-f21e1c6b3529</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>0616deda-cb7c-4428-a30e-376d226b81c3</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>c87079d4-b85b-4294-96a4-e128a3b3783c</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ff682d55-61c3-42e8-aa49-f21e1c6b3529</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>0616deda-cb7c-4428-a30e-376d226b81c3</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>54de338c-7872-4557-99ae-58871db703f3</customer_id>
<firstname>sample string 11</firstname>
<id>95b9e550-9e8c-47ba-8e5e-175af459b531</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>4db5d6ee-eae5-4cd7-970d-96fc27d9abed</role_id>
<webapp_password_last_update>2026-09-25T05:43:40.7072526+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>14e493ff-e5e2-476c-99f3-a31c4b36c961</distribution_id>
<guard_id>24fb365a-c07c-4f6e-b996-f360ccb537f1</guard_id>
<id>b03abf15-5a9b-43db-bd37-f1b5f110606b</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>14e493ff-e5e2-476c-99f3-a31c4b36c961</distribution_id>
<guard_id>24fb365a-c07c-4f6e-b996-f360ccb537f1</guard_id>
<id>b03abf15-5a9b-43db-bd37-f1b5f110606b</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2f71f91a-c7cf-46f3-b651-9d0eb9e6fd6b</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>c87079d4-b85b-4294-96a4-e128a3b3783c</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ff682d55-61c3-42e8-aa49-f21e1c6b3529</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>0616deda-cb7c-4428-a30e-376d226b81c3</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>c87079d4-b85b-4294-96a4-e128a3b3783c</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ff682d55-61c3-42e8-aa49-f21e1c6b3529</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>0616deda-cb7c-4428-a30e-376d226b81c3</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
</ArrayOfuser>